package Server_Client;
import java.io.*;
import java.net.ServerSocket;
import java.net.Socket;

public class Server {
    private File registeredList = createAFile();

    public Server() throws IOException {
    }

    /**
     *
     * @return
     */
    public File runRegistration() throws IOException {
            ServerSocket serverSocket = new ServerSocket(5757);
            try (Socket connectionSocket = serverSocket.accept()){
                System.out.println("new client connected");
                OutputStream out = connectionSocket.getOutputStream();
                InputStream in = connectionSocket.getInputStream();
                byte[] buffer = new byte[2048];
                int read = in.read(buffer);
                FileOutputStream fileWriter = new FileOutputStream(registeredList);
                fileWriter.write(read);
        }
        return null;
    }

    /**
     *
     * @param password
     * @param username
     * @return
     * @throws IOException
     */
    public boolean pass_userNameIsAvailable(String password , String username) throws IOException {
        String pass_userName = password+username;
        if (readFile().contains(pass_userName)){
            return true;
        }
        return false;
    }

    /**
     *
     * @return
     * @throws IOException
     */
    private String readFile() throws IOException {
        String fileContent = "";
        FileInputStream read = new FileInputStream(registeredList);
        int c;
        while ((c = read.read()) != -1){
            fileContent +=  new Character((char)c).toString();
        }
        return fileContent;
    }

    /**
     *
     * @return
     */
    public File createAFile() throws IOException {
        try {
            File registeredList = new File("C:\\Users\\Lenovo\\IdeaProjects\\JTankTrouble\\src\\Server_Client\\registeredName\\registeredList");
            if (registeredList.createNewFile()) {
                System.out.println("File created: " + registeredList.getName());
            } else {
                System.out.println("File already exists.");
            }
        } catch (IOException e) {
            System.out.println("An error occurred.");
            e.printStackTrace();
        }
        return runRegistration();
    }
}